## org.apache.fop.image
Class FopImageConsumer

    java.lang.Object
      |
      +--org.apache.fop.image.FopImageConsumer

public class FopImageConsumer
extends java.lang.Object
implements java.awt.image.ImageConsumer

Field Summary
`protected java.awt.image.ColorModel` `cm`
`protected int` `height`
`protected int` `hints`
`protected java.lang.Integer` `imageStatus`
`protected java.awt.image.ImageProducer` `ip`
`protected java.util.Hashtable` `properties`
`protected int` `width`

Fields inherited from interface java.awt.image.ImageConsumer
`COMPLETESCANLINES, IMAGEABORTED, IMAGEERROR, RANDOMPIXELORDER, SINGLEFRAME, SINGLEFRAMEDONE, SINGLEPASS, STATICIMAGEDONE, TOPDOWNLEFTRIGHT`

Constructor Summary
`FopImageConsumer(java.awt.image.ImageProducer iprod)`

Method Summary
`java.awt.image.ColorModel` `getColorModel()`
`int` `getHeight()`
`int[]` `getImage()`
`int` `getWidth()`
`void` `imageComplete(int status)`
`boolean` `isImageReady()`
`void` `setColorModel(java.awt.image.ColorModel model)`
`void` `setDimensions(int width, int height)`
`void` `setHints(int hintflags)`
`void` `setPixels(int x, int y, int w, int h, java.awt.image.ColorModel model, byte[] pixels, int off, int scansize)`
`void` `setPixels(int x, int y, int w, int h, java.awt.image.ColorModel model, int[] pixels, int off, int scansize)`
`void` `setProperties(java.util.Hashtable props)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### width

    protected int width

### height

    protected int height

### imageStatus

    protected java.lang.Integer imageStatus

### hints

    protected int hints

### properties

    protected java.util.Hashtable properties

### cm

    protected java.awt.image.ColorModel cm

### ip

    protected java.awt.image.ImageProducer ip

Constructor Detail

### FopImageConsumer

    public FopImageConsumer(java.awt.image.ImageProducer iprod)

Method Detail

### imageComplete

    public void imageComplete(int status)

  Specified by:
    imageComplete in interface java.awt.image.ImageConsumer

### setColorModel

    public void setColorModel(java.awt.image.ColorModel model)

  Specified by:
    setColorModel in interface java.awt.image.ImageConsumer

### setDimensions

    public void setDimensions(int width,
                              int height)

  Specified by:
    setDimensions in interface java.awt.image.ImageConsumer

### setHints

    public void setHints(int hintflags)

  Specified by:
    setHints in interface java.awt.image.ImageConsumer

### setProperties

    public void setProperties(java.util.Hashtable props)

  Specified by:
    setProperties in interface java.awt.image.ImageConsumer

### setPixels

    public void setPixels(int x,
                          int y,
                          int w,
                          int h,
                          java.awt.image.ColorModel model,
                          byte[] pixels,
                          int off,
                          int scansize)

  Specified by:
    setPixels in interface java.awt.image.ImageConsumer

### setPixels

    public void setPixels(int x,
                          int y,
                          int w,
                          int h,
                          java.awt.image.ColorModel model,
                          int[] pixels,
                          int off,
                          int scansize)

  Specified by:
    setPixels in interface java.awt.image.ImageConsumer

### isImageReady

    public boolean isImageReady()
                         throws java.lang.Exception

### getWidth

    public int getWidth()

### getHeight

    public int getHeight()

### getColorModel

    public java.awt.image.ColorModel getColorModel()

### getImage

    public int[] getImage()
                   throws java.lang.Exception

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.